<?php


include'conexion1.php';

date_default_timezone_set("America/Lima"); 



$conectar = mysqli_connect($servidor,$nombre,$clave,$base);

/*
if(!empty($_POST["tip"])){
	$tipoc=$_POST["tip"];}else{$tipoc=null;}
*/
/*
if(!empty($_POST["2tipcomprobante"])){
    $serie=$_POST["2tipcomprobante"];}else{$serie=null;}

*/
//if(!empty($_POST["2tipcomprobante"])){
    //$correlativo=$_POST["2tipcomprobante"];}else{$correlativo=null;}




if(!empty($_POST["dni"])){
    $dni=$_POST["dni"];}else{$dni=null;}


if(!empty($_POST["nombre"])){
    $nombre=$_POST["nombre"];}else{$nombre=null;}

if(!empty($_POST["direccion"])){
    $direccion=$_POST["direccion"];}else{$direccion=null;}


if(!empty($_POST["celular"])){
    $celular=$_POST["celular"];}else{$celular=null;}

if(!empty($_POST["correo"])){
    $correo=$_POST["correo"];}else{$correo=null;}

if(!empty($_POST["codserv"])){
    $codigoser=$_POST["codserv"];}else{$codigoser=null;}


if(!empty($_POST["descripcion"])){
    $descripcion=$_POST["descripcion"];}else{$descripcion=null;}

if(!empty($_POST["forpago"])){
    $forpago=$_POST["forpago"];}else{$forpago=null;}

if(!empty($_POST["correo"])){
    $correo=$_POST["correo"];}else{$correo=null;}

/*
if(!empty($_POST["fecha_entrega"])){
    $fecha_entrega=$_POST["fecha_entrega"];}else{$fecha_entrega=null;}

if(!empty($_POST["hora_entrega"])){
    $hora_entrega=$_POST["hora_entrega"];}else{$hora_entrega=null;}
*/

if(!empty($_POST["importe_total"])){
    $importe_total=$_POST["importe_total"];}else{$importe_total=null;}


if(!empty($_POST["igv"])){
    $igv=$_POST["igv"];}else{$igv=null;}

    
if(!empty($_POST["sub_total"])){
    $sub_total=$_POST["sub_total"];}else{$sub_total=null;}

if(!empty($_POST["acuenta"])){
    $acuenta=$_POST["acuenta"];}else{$acuenta=null;}

if(!empty($_POST["debe"])){
    $debe=$_POST["debe"];}else{$debe=null;}


//if(!empty($_POST["nom_vendedor"])){
//$nom_vendedor=$_POST["nom_vendedor"];}else{$nom_vendedor=null;}


//$id=0;
$fecha=date("Y-m-d");  
$hora=date("H:i:s");  
$tipoc="FACTURA";
$claveacceso="0";
$serie=0;
$estado="ENVIADO";
$correlativo="0001";

//$dni=0;
//$nombre=0;
//$direccion=0;
//$celular=0;
//$codigoser=0;
//$descripcion=0;
//$fecha_entrega=2;
$hora_entrega=2;
//$importe_total=0;
//$igv=0;
//$sub_total=0;
//$acuenta=0;
//$debe=0;
$nom_vendedor=0;

//SE COLOCA EN OTRA HOJA
$eligebase="contador";//NOMBRE DE LA TABLA DE LA BASE
$columna="IDSECUENCIAL_FACTURA";//NOMBRE DE LA COLUMNA
require_once('contador.php');
//$selec = new apicambianumero();
$selec=cambia($eligebase, $columna);
$correlativo=$selec;



//SE COLOCA EN OTRA HOJA
$eligebase2="contador";//NOMBRE DE LA TABLA DE LA BASE
$columna2="IDREGISTRO_VENTA";//NOMBRE DE LA COLUMNA
require_once('contador.php');
//$selec = new apicambianumero();
$selec2=cambia($eligebase2, $columna2);
$id=$selec2;




$insertar = "INSERT INTO venta VALUES('$id','$fecha','$hora','$estado','$tipoc','$claveacceso','$serie','$correlativo','$dni','$nombre','$direccion','$celular','$codigoser','$descripcion','$corrreo','$hora_entrega','$importe_total','$igv','$sub_total','$acuenta','$debe','$nom_vendedor')";
$query2 = mysqli_query($conectar,$insertar);




//header("Location: boleta.php");

?>

